const group: AuthRoute.Route = {
  name: 'group',
  path: '/group',
  component: 'basic',
  children: [
    {
      name: 'group_group',
      path: '/group/group',
      component: 'self',
      meta: {
        title: '班级管理',
        i18nTitle: 'message.routes.group.group',
        permissions: ['admin', 'teacher'],
        requiresAuth: true,
        localIcon: 'class'
      }
    },
    {
      name: 'group_student',
      path: '/group/student',
      component: 'self',
      meta: {
        title: '班级学员',
        i18nTitle: 'message.routes.group.student',
        permissions: ['admin', 'teacher'],
        requiresAuth: true,
        icon: 'typcn:group'
      }
    },
    {
      name: 'group_classroom',
      path: '/group/classroom',
      component: 'self',
      meta: {
        title: '教室管理',
        i18nTitle: 'message.routes.group.classroom',
        permissions: ['admin', 'teacher'],
        requiresAuth: true,
        localIcon: 'classroom'
      }
    }
  ],
  meta: {
    title: '班级管理',
    i18nTitle: 'message.routes.group._value',
    localIcon: 'lesson',
    permissions: ['admin', 'teacher'],
    order: 8
  }
};

export default group;
