const lesson: AuthRoute.Route = {
  name: 'lesson',
  path: '/lesson',
  component: 'basic',
  children: [
    {
      name: 'lesson_schedule',
      path: '/lesson/schedule',
      component: 'self',
      meta: {
        title: '排课管理',
        i18nTitle: 'message.routes.lesson.schedule',
        requiresAuth: true,
        icon: 'healthicons:i-schedule-school-date-time'
      }
    },
    {
      name: 'lesson_calendar',
      path: '/lesson/calendar',
      component: 'self',
      meta: {
        title: '排课日历',
        i18nTitle: 'message.routes.lesson.calendar',
        requiresAuth: true,
        icon: 'radix-icons:calendar'
      }
    },
    {
      name: 'lesson_checkin',
      path: '/lesson/checkin',
      component: 'self',
      meta: {
        title: '课程签到',
        i18nTitle: 'message.routes.lesson.checkin',
        requiresAuth: true,
        icon: 'mdi:sign',
        hide: true
      }
    },
    {
      name: 'system_profile',
      path: '/system/profile',
      component: 'self',
      meta: {
        title: '个人中心',
        i18nTitle: 'message.routes.system.profile',
        requiresAuth: true,
        icon: 'uil:setting',
        hide: true
      }
    },
    {
      name: 'lesson_score',
      path: '/lesson/score',
      component: 'self',
      meta: {
        title: '课程考核',
        i18nTitle: 'message.routes.lesson.score',
        requiresAuth: true,
        icon: 'healthicons:i-exam-qualification-outline'
      }
    },
    {
      name: 'lesson_attendance',
      path: '/lesson/attendance',
      component: 'self',
      meta: {
        title: '学员出勤',
        permissions: ['admin', 'teacher', 'member'],
        i18nTitle: 'message.routes.lesson.attendance',
        requiresAuth: true,
        icon: 'emojione:kiss-mark'
      }
    }
  ],
  meta: {
    title: '课程管理',
    i18nTitle: 'message.routes.lesson._value',
    icon: 'carbon:book',
    permissions: ['admin', 'teacher', 'member'],
    order: 9
  }
};

export default lesson;
