import type { RouteComponent } from 'vue-router';

export const views: Record<
  PageRoute.LastDegreeRouteKey,
  RouteComponent | (() => Promise<{ default: RouteComponent }>)
> = {
  403: () => import('./_builtin/403/index.vue'),
  404: () => import('./_builtin/404/index.vue'),
  500: () => import('./_builtin/500/index.vue'),
  login: () => import('./_builtin/login/index.vue'),
  'not-found': () => import('./_builtin/not-found/index.vue'),
  about: () => import('./about/index.vue'),
  archives_students_component: () => import('./archives/students/component/index.vue'),
  archives_students: () => import('./archives/students/index.vue'),
  dashboard_workbench: () => import('./dashboard/workbench/index.vue'),
  exception_403: () => import('./exception/403/index.vue'),
  exception_404: () => import('./exception/404/index.vue'),
  exception_500: () => import('./exception/500/index.vue'),
  group_classroom: () => import('./group/classroom/index.vue'),
  group_group: () => import('./group/group/index.vue'),
  group_student: () => import('./group/student/index.vue'),
  lesson_attendance: () => import('./lesson/attendance/index.vue'),
  lesson_calendar: () => import('./lesson/calendar/index.vue'),
  lesson_checkin: () => import('./lesson/checkin/index.vue'),
  lesson_schedule: () => import('./lesson/schedule/index.vue'),
  lesson_score: () => import('./lesson/score/index.vue'),
  system_auth: () => import('./system/auth/index.vue'),
  system_category: () => import('./system/category/index.vue'),
  system_profile: () => import('./system/profile/index.vue'),
  system_role: () => import('./system/role/index.vue'),
  system_student: () => import('./system/student/index.vue'),
  system_subject: () => import('./system/subject/index.vue'),
  system_user: () => import('./system/user/index.vue')
};
